Cassandra.execute_prepared_cql_query_args (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.thrift

## Class Cassandra.execute_prepared_cql_query_args

- java.lang.Object
- - org.apache.cassandra.thrift.Cassandra.execute_prepared_cql_query_args

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.execute_prepared_cql_query_args>, org.apache.thrift.TBase<Cassandra.execute_prepared_cql_query_args,Cassandra.execute_prepared_cql_query_args._Fields>
  Enclosing class:
    Cassandra

      public static class Cassandra.execute_prepared_cql_query_args
      extends java.lang.Object
      implements org.apache.thrift.TBase<Cassandra.execute_prepared_cql_query_args,Cassandra.execute_prepared_cql_query_args._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.execute_prepared_cql_query_args>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Cassandra.execute_prepared_cql_query_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `itemId`
    `static java.util.Map<Cassandra.execute_prepared_cql_query_args._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `java.util.List<java.nio.ByteBuffer>` | `values`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `execute_prepared_cql_query_args()`
    `execute_prepared_cql_query_args(Cassandra.execute_prepared_cql_query_args other)` Performs a deep copy on other.
    `execute_prepared_cql_query_args(int itemId, java.util.List<java.nio.ByteBuffer> values)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToValues(java.nio.ByteBuffer elem)`
    `void` | `clear()`
    `int` | `compareTo(Cassandra.execute_prepared_cql_query_args other)`
    `Cassandra.execute_prepared_cql_query_args` | `deepCopy()`
    `boolean` | `equals(Cassandra.execute_prepared_cql_query_args that)`
    `boolean` | `equals(java.lang.Object that)`
    `Cassandra.execute_prepared_cql_query_args._Fields` | `fieldForId(int fieldId)`
    `java.lang.Object` | `getFieldValue(Cassandra.execute_prepared_cql_query_args._Fields field)`
    `int` | `getItemId()`
    `java.util.List<java.nio.ByteBuffer>` | `getValues()`
    `java.util.Iterator<java.nio.ByteBuffer>` | `getValuesIterator()`
    `int` | `getValuesSize()`
    `int` | `hashCode()`
    `boolean` | `isSet(Cassandra.execute_prepared_cql_query_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetItemId()` Returns true if field itemId is set (has been assigned a value) and false otherwise
    `boolean` | `isSetValues()` Returns true if field values is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `void` | `setFieldValue(Cassandra.execute_prepared_cql_query_args._Fields field, java.lang.Object value)`
    `Cassandra.execute_prepared_cql_query_args` | `setItemId(int itemId)`
    `void` | `setItemIdIsSet(boolean value)`
    `Cassandra.execute_prepared_cql_query_args` | `setValues(java.util.List<java.nio.ByteBuffer> values)`
    `void` | `setValuesIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetItemId()`
    `void` | `unsetValues()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### itemId

          public int itemId

    - #### values

          public java.util.List<java.nio.ByteBuffer> values

    - #### metaDataMap

          public static final java.util.Map<Cassandra.execute_prepared_cql_query_args._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### execute_prepared_cql_query_args

          public execute_prepared_cql_query_args()

    - #### execute_prepared_cql_query_args

          public execute_prepared_cql_query_args(int itemId,
                                                 java.util.List<java.nio.ByteBuffer> values)

    - #### execute_prepared_cql_query_args

          public execute_prepared_cql_query_args(Cassandra.execute_prepared_cql_query_args other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public Cassandra.execute_prepared_cql_query_args deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.execute_prepared_cql_query_args,Cassandra.execute_prepared_cql_query_args._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<Cassandra.execute_prepared_cql_query_args,Cassandra.execute_prepared_cql_query_args._Fields>`

    - #### getItemId

          public int getItemId()

    - #### setItemId

          public Cassandra.execute_prepared_cql_query_args setItemId(int itemId)

    - #### unsetItemId

          public void unsetItemId()

    - #### isSetItemId

          public boolean isSetItemId()

      Returns true if field itemId is set (has been assigned a value) and false otherwise

    - #### setItemIdIsSet

          public void setItemIdIsSet(boolean value)

    - #### getValuesSize

          public int getValuesSize()

    - #### getValuesIterator

          public java.util.Iterator<java.nio.ByteBuffer> getValuesIterator()

    - #### addToValues

          public void addToValues(java.nio.ByteBuffer elem)

    - #### getValues

          public java.util.List<java.nio.ByteBuffer> getValues()

    - #### setValues

          public Cassandra.execute_prepared_cql_query_args setValues(java.util.List<java.nio.ByteBuffer> values)

    - #### unsetValues

          public void unsetValues()

    - #### isSetValues

          public boolean isSetValues()

      Returns true if field values is set (has been assigned a value) and false otherwise

    - #### setValuesIsSet

          public void setValuesIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(Cassandra.execute_prepared_cql_query_args._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.execute_prepared_cql_query_args,Cassandra.execute_prepared_cql_query_args._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(Cassandra.execute_prepared_cql_query_args._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.execute_prepared_cql_query_args,Cassandra.execute_prepared_cql_query_args._Fields>`

    - #### isSet

          public boolean isSet(Cassandra.execute_prepared_cql_query_args._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<Cassandra.execute_prepared_cql_query_args,Cassandra.execute_prepared_cql_query_args._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(Cassandra.execute_prepared_cql_query_args that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(Cassandra.execute_prepared_cql_query_args other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Cassandra.execute_prepared_cql_query_args>`

    - #### fieldForId

          public Cassandra.execute_prepared_cql_query_args._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<Cassandra.execute_prepared_cql_query_args,Cassandra.execute_prepared_cql_query_args._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<Cassandra.execute_prepared_cql_query_args,Cassandra.execute_prepared_cql_query_args._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<Cassandra.execute_prepared_cql_query_args,Cassandra.execute_prepared_cql_query_args._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation